Loading...
Searching...
No Matches
irr::scene::SVertexColorSetAlphaManipulator Class Reference

Vertex manipulator to set the alpha value of the vertex color to a fixed value. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorSetAlphaManipulator:

## Public Member Functions

| SVertexColorSetAlphaManipulator (u32 alpha)
void | operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator to set the alpha value of the vertex color to a fixed value.

Definition at line 39 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

## SVertexColorSetAlphaManipulator()

irr::scene::SVertexColorSetAlphaManipulator::SVertexColorSetAlphaManipulator | ( | u32 | alpha | ) |

inline

Definition at line 42 of file SVertexManipulator.h.

## Member Function Documentation

## operator()()

void irr::scene::SVertexColorSetAlphaManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const

inline

Definition at line 43 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color, and irr::video::SColor::setAlpha().

The documentation for this class was generated from the following file:

- SVertexManipulator.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0